## UDisksLoop

UDisksLoop — Generated C code for the org.freedesktop.UDisks2.Loop D-Bus interface

## Functions

GDBusInterfaceInfo * | udisks_loop_interface_info ()
guint | udisks_loop_override_properties ()
const gchar * | udisks_loop_get_backing_file ()
gboolean | udisks_loop_get_autoclear ()
guint | udisks_loop_get_setup_by_uid ()
gchar * | udisks_loop_dup_backing_file ()
void | udisks_loop_set_backing_file ()
void | udisks_loop_set_autoclear ()
void | udisks_loop_set_setup_by_uid ()
void | udisks_loop_call_delete ()
gboolean | udisks_loop_call_delete_finish ()
gboolean | udisks_loop_call_delete_sync ()
void | udisks_loop_complete_delete ()
void | udisks_loop_call_set_autoclear ()
gboolean | udisks_loop_call_set_autoclear_finish ()
gboolean | udisks_loop_call_set_autoclear_sync ()
void | udisks_loop_complete_set_autoclear ()
void | udisks_loop_proxy_new ()
UDisksLoop * | udisks_loop_proxy_new_finish ()
UDisksLoop * | udisks_loop_proxy_new_sync ()
void | udisks_loop_proxy_new_for_bus ()
UDisksLoop * | udisks_loop_proxy_new_for_bus_finish ()
UDisksLoop * | udisks_loop_proxy_new_for_bus_sync ()
UDisksLoop * | udisks_loop_skeleton_new ()

## Properties

gboolean | autoclear | Read / Write
char * | backing-file | Read / Write
guint | setup-by-uid | Read / Write

## Signals

gboolean | handle-delete | Run Last
gboolean | handle-set-autoclear | Run Last
gboolean | handle-set-capacity | Run Last

## Types and Values

| UDisksLoop
struct | UDisksLoopIface
struct | UDisksLoopProxy
struct | UDisksLoopProxyClass
struct | UDisksLoopSkeleton
struct | UDisksLoopSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksLoop
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksLoopSkeleton
        │       ╰── UDisksLinuxLoop
        ╰── GDBusProxy
            ╰── UDisksLoopProxy

## Prerequisites

UDisksLoop requires GObject.

## Implemented Interfaces

UDisksLoopProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksLoop.

UDisksLoopSkeleton implements GDBusInterface and UDisksLoop.

## Known Implementations

UDisksLoop is implemented by UDisksLinuxLoop, UDisksLoopProxy and UDisksLoopSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Loop D-Bus interface in C.

## Functions

### udisks_loop_interface_info ()

    GDBusInterfaceInfo *
    udisks_loop_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Loop D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_loop_override_properties ()

    guint
    udisks_loop_override_properties (GObjectClass *klass,
                                     guint property_id_begin);

Overrides all GObject properties in the UDisksLoop interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_loop_get_backing_file ()

    const gchar *
    udisks_loop_get_backing_file (UDisksLoop *object);

Gets the value of the "BackingFile" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_loop_dup_backing_file()` if on another thread.

[skip]

#### Parameters

object | A UDisksLoop. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### udisks_loop_get_autoclear ()

    gboolean
    udisks_loop_get_autoclear (UDisksLoop *object);

Gets the value of the "Autoclear" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLoop. |

#### Returns

The property value.

### udisks_loop_get_setup_by_uid ()

    guint
    udisks_loop_get_setup_by_uid (UDisksLoop *object);

Gets the value of the "SetupByUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLoop. |

#### Returns

The property value.

### udisks_loop_dup_backing_file ()

    gchar *
    udisks_loop_dup_backing_file (UDisksLoop *object);

Gets a copy of the "BackingFile" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksLoop. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### udisks_loop_set_backing_file ()

    void
    udisks_loop_set_backing_file (UDisksLoop *object,
                                  const gchar *value);

Sets the "BackingFile" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLoop. |
value | The value to set. |

### udisks_loop_set_autoclear ()

    void
    udisks_loop_set_autoclear (UDisksLoop *object,
                               gboolean value);

Sets the "Autoclear" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLoop. |
value | The value to set. |

### udisks_loop_set_setup_by_uid ()

    void
    udisks_loop_set_setup_by_uid (UDisksLoop *object,
                                  guint value);

Sets the "SetupByUID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksLoop. |
value | The value to set. |

### udisks_loop_call_delete ()

    void
    udisks_loop_call_delete (UDisksLoop *proxy,
                             GVariant *arg_options,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously invokes the `Delete()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_loop_call_delete_finish()` to get the result of the operation.

See `udisks_loop_call_delete_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLoopProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_loop_call_delete_finish ()

    gboolean
    udisks_loop_call_delete_finish (UDisksLoop *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_loop_call_delete()`.

#### Parameters

proxy | A UDisksLoopProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_loop_call_delete()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_loop_call_delete_sync ()

    gboolean
    udisks_loop_call_delete_sync (UDisksLoop *proxy,
                                  GVariant *arg_options,
                                  GCancellable *cancellable,
                                  GError **error);

Synchronously invokes the `Delete()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_loop_call_delete()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLoopProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_loop_complete_delete ()

    void
    udisks_loop_complete_delete (UDisksLoop *object,
                                 GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Delete()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLoop. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_loop_call_set_autoclear ()

    void
    udisks_loop_call_set_autoclear (UDisksLoop *proxy,
                                    gboolean arg_value,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetAutoclear()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_loop_call_set_autoclear_finish()` to get the result of the operation.

See `udisks_loop_call_set_autoclear_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksLoopProxy. |
arg_value | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_loop_call_set_autoclear_finish ()

    gboolean
    udisks_loop_call_set_autoclear_finish (UDisksLoop *proxy,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `udisks_loop_call_set_autoclear()`.

#### Parameters

proxy | A UDisksLoopProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_loop_call_set_autoclear()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_loop_call_set_autoclear_sync ()

    gboolean
    udisks_loop_call_set_autoclear_sync (UDisksLoop *proxy,
                                         gboolean arg_value,
                                         GVariant *arg_options,
                                         GCancellable *cancellable,
                                         GError **error);

Synchronously invokes the `SetAutoclear()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_loop_call_set_autoclear()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksLoopProxy. |
arg_value | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### udisks_loop_complete_set_autoclear ()

    void
    udisks_loop_complete_set_autoclear (UDisksLoop *object,
                                        GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetAutoclear()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksLoop. |
invocation | A GDBusMethodInvocation. | [transfer full]

### udisks_loop_proxy_new ()

    void
    udisks_loop_proxy_new (GDBusConnection *connection,
                           GDBusProxyFlags flags,
                           const gchar *name,
                           const gchar *object_path,
                           GCancellable *cancellable,
                           GAsyncReadyCallback callback,
                           gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Loop. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_loop_proxy_new_finish()` to get the result of the operation.

See `udisks_loop_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_loop_proxy_new_finish ()

    UDisksLoop *
    udisks_loop_proxy_new_finish (GAsyncResult *res,
                                  GError **error);

Finishes an operation started with `udisks_loop_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_loop_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksLoopProxy]

### udisks_loop_proxy_new_sync ()

    UDisksLoop *
    udisks_loop_proxy_new_sync (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Loop. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_loop_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksLoopProxy]

### udisks_loop_proxy_new_for_bus ()

    void
    udisks_loop_proxy_new_for_bus (GBusType bus_type,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Like `udisks_loop_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_loop_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_loop_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_loop_proxy_new_for_bus_finish ()

    UDisksLoop *
    udisks_loop_proxy_new_for_bus_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_loop_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_loop_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksLoopProxy]

### udisks_loop_proxy_new_for_bus_sync ()

    UDisksLoop *
    udisks_loop_proxy_new_for_bus_sync (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Like `udisks_loop_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_loop_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksLoopProxy]

### udisks_loop_skeleton_new ()

    UDisksLoop *
    udisks_loop_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Loop.

#### Returns

The skeleton object.

[transfer full][type UDisksLoopSkeleton]

## Types and Values

### UDisksLoop

    typedef struct _UDisksLoop UDisksLoop;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Loop.

### struct UDisksLoopIface

    struct UDisksLoopIface {
      GTypeInterface parent_iface;

      gboolean (*handle_delete) (
        UDisksLoop *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_set_autoclear) (
        UDisksLoop *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_value,
        GVariant *arg_options);

      gboolean  (*get_autoclear) (UDisksLoop *object);

      const gchar * (*get_backing_file) (UDisksLoop *object);

      guint  (*get_setup_by_uid) (UDisksLoop *object);

      gboolean (*handle_set_capacity) (
        UDisksLoop *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Loop.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_delete` () | Handler for the “handle-delete” signal. |
`handle_set_autoclear` () | Handler for the “handle-set-autoclear” signal. |
`get_autoclear` () | Getter for the “autoclear” property. |
`get_backing_file` () | Getter for the “backing-file” property. |
`get_setup_by_uid` () | Getter for the “setup-by-uid” property. |
`handle_set_capacity` () | Handler for the “handle-set-capacity” signal. |

### struct UDisksLoopProxy

    struct UDisksLoopProxy;

The UDisksLoopProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksLoopProxyClass

    struct UDisksLoopProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksLoopProxy.

#### Members

### struct UDisksLoopSkeleton

    struct UDisksLoopSkeleton;

The UDisksLoopSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksLoopSkeletonClass

    struct UDisksLoopSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksLoopSkeleton.

#### Members

## Property Details

### The `“autoclear”` property

      “autoclear”                gboolean

Represents the D-Bus property "Autoclear".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksLoop

Flags: Read / Write

Default value: FALSE

### The `“backing-file”` property

      “backing-file”             char *

Represents the D-Bus property "BackingFile".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksLoop

Flags: Read / Write

Default value: NULL

### The `“setup-by-uid”` property

      “setup-by-uid”             guint

Represents the D-Bus property "SetupByUID".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: UDisksLoop

Flags: Read / Write

Default value: 0

## Signal Details

### The `“handle-delete”` signal

    gboolean
    user_function (UDisksLoop            *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Delete()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_loop_complete_delete()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksLoop. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-autoclear”` signal

    gboolean
    user_function (UDisksLoop            *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_value,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetAutoclear()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_loop_complete_set_autoclear()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksLoop. |
invocation | A GDBusMethodInvocation. |
arg_value | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-capacity”` signal

    gboolean
    user_function (UDisksLoop            *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetCapacity()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_loop_complete_set_capacity()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksLoop. |
invocation | A GDBusMethodInvocation. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.11.0